campaigns
Get apiv1campaigns
GET
/
api
/
v1
/
campaigns
/
{campaignId}
Error
A valid request URL is required to generate request examples{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"destinationUrl": "<string>",
"adCopy": "<string>",
"platform": "TELEGRAM",
"distributionType": "RECOMMENDED",
"mediaAssets": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publicUrl": "<string>"
}
],
"budget": "125.500000",
"startsAt": "2023-12-25",
"endsAt": "2023-12-25",
"dailyDistribution": [
{
"date": "2023-12-25",
"amount": "125.500000"
}
],
"approvalMode": "OPERATOR",
"creativeChangesAllowed": true,
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"objective": "AWARENESS"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
As stored, which is as it was sent except that the names of any known placeholders (see CreateCampaignRequest.destinationUrl) have been lowercased. Placeholders are never substituted here: what each one becomes depends on the placement, and this is the campaign.
Available options:
TELEGRAM Available options:
RECOMMENDED, MANUAL Show child attributes
Show child attributes
Pattern:
^-?\d+(\.\d{1,6})?$Example:
"125.500000"
Show child attributes
Show child attributes
Available options:
OPERATOR, USER Available options:
ACTIVE, COMPLETED, ARCHIVED Available options:
AWARENESS, TRAFFIC, CONVERSIONS, APP_INSTALLS ⌘I
Error
A valid request URL is required to generate request examples{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"destinationUrl": "<string>",
"adCopy": "<string>",
"platform": "TELEGRAM",
"distributionType": "RECOMMENDED",
"mediaAssets": [
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publicUrl": "<string>"
}
],
"budget": "125.500000",
"startsAt": "2023-12-25",
"endsAt": "2023-12-25",
"dailyDistribution": [
{
"date": "2023-12-25",
"amount": "125.500000"
}
],
"approvalMode": "OPERATOR",
"creativeChangesAllowed": true,
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"objective": "AWARENESS"
}{
"error": "<string>"
}